Subject: Re: Strangeness with inetd (was: Hope this isn't a FAQ...)

From: [email-masked] (Geoff Terry Systems & Net supt 064 923677)
Date: Wed, 14 May 1997 16:05:39 +1000 (EST)

Rick,
-a on the cmd line causes the daemon to process the ftpaccess and other
config files.
looks like you have a sutdown file (shutdown message) msg.shutdown in the
msgs subdirectory by default. If the file exists, the server does what you
observe. rename the sutdown file and try again.

Geofft

>Okay. I've managed to poke at this beastie and got it uploading things into
>thier appropriate directories. Here's an oddball problem perhaps someone
>could help me out with. It focuses around inetd and wu.ftpd.
>
>This works:
>ftp  stream  tcp   nowait root   /usr/sbin/wu.ftpd -a -u 022
>
>This works:
>ftp  stream  tcp   nowait root   /usr/sbin/tcpd  /usr/sbin/wu.ftpd
>
>This DOESN'T work:
>ftp  stream  tcp   nowait root   /usr/sbin/tcpd  /usr/sbin/wu.ftpd -a -u 022
>
>When I try the latter, I get this message:
>
>500 pro.netnation.com FTP server shut down -- please try again later.
>ftp>
>
>hosts.allow and hosts.deny are both blank, so no problems there. Only seems
>to act up with the '-a'. I've included my ftpaccess at the end as a debugging
>aid.
>
>Any help would be greatly appreciated!
>
>---
>  -------------------------------------------
> - Rick Franchuk -   Systems Administration  -
>-   Net Nation   - mailto:[email-masked] -
> ---------------------------------------------
>
>loginfails 2
>
>class   local   real,guest,anonymous *.domain 0.0.0.0
>class   remote  real,guest,anonymous *
>
>limit   local   20  Any                 /etc/msgs/msg.toomany
>limit   remote  60  Any                 /etc/msgs/msg.toomany
>
>readme  README*    login
>readme  README*    cwd=*
>
>message /welcome.msg            login
>message .message                cwd=*
>
>compress        yes             local remote
>tar             yes             local remote
>
># allow use of private file for SITE GROUP and SITE GPASS?
>private         yes
>
># passwd-check  <none|trivial|rfc822>  [<enforce|warn>]
>passwd-check    rfc822  warn
>
>log commands real
>log transfers anonymous,real inbound,outbound
>shutdown /etc/shutmsg
>
># all the following default to "yes" for everybody
>delete          no      guest,anonymous         # delete permission?
>overwrite       no      guest,anonymous         # overwrite permission?
>rename		no	guest,anonymous		# rename permission?
>chmod           no      anonymous               # chmod permission?
>umask           no      anonymous               # umask permission?
>
># specify the upload directory information
>upload  /home/ftp  * no
>upload  /home/ftp  /incoming yes root daemon 0400 nodirs
>upload  /home/ftp  /bin no
>upload  /home/ftp  /etc no
>
># directory aliases...  [note, the ":" is not required]
>alias   inc:    /incoming
>
># cdpath
>cdpath  /incoming
>cdpath  /pub
>cdpath  /
>
># path-filter...
>path-filter  anonymous  /etc/pathmsg  ^[-A-Za-z0-9_\.]*$  ^\.  ^-
>path-filter  guest      /etc/pathmsg  ^[-A-Za-z0-9_\.]*$  ^\.  ^-
>
># specify which group of users will be treated as "guests".
>guestgroup ftponly
>
>email [email-masked]
>
>
>
Geoff Terry    Systems & Network Support
ACR Net        Sapphire Coast NSW 2550
Australia
Ph 064 923677  Mobile 015 668 227 Fax 064 924594